import { ISubtitleResolver } from "../../models/ISubtitleResolver";
import { ISubtitle } from "../../models/ISubtitle";
export declare class Subtitle implements ISubtitle {
    private _id;
    private _title;
    private _author;
    private _isDefault;
    private _delay;
    private _url;
    private _resolver;
    private _singleRequest;
    constructor(resolver: ISubtitleResolver, url: string, id: number, title: string, author: string, isDefault: boolean, delay: number);
    getId(): number;
    getTitle(): string;
    getContent(): Promise<Uint8Array>;
    getContentAsString(): Promise<string>;
    getAuthor(): string;
    isDefault(): boolean;
    getDelay(): number;
}
